Remove branch
curl --request DELETE \
--url https://api.example.com/api/projects/{projectId}/branches/{branchId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/branches/{branchId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/branches/{branchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Branches
Remove branch
Deletes a branch from the project.
DELETE
/
api
/
projects
/
{projectId}
/
branches
/
{branchId}
Remove branch
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Project ID
Branch ID or "main" for the default branch
Response
202
Branch successfully deleted
Was this page helpful?
⌘I